/*
 * j4Win
 *  http://code.google.com/p/j4win/
 *
 * Copyright (C) 2006-2007 Felix Geyer, Moritz Laschinger
 *
 * This file is part of j4Win.
 *
 * j4Win is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * j4Win is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package j4win;

public class GUIConsole implements GUI {
	private int tie = 0;
	private int[] won = {0, 0};
	
	public void playerMoved(Field field, int col) {
	}

	public void playerWon(int player) {
		++won[player-1];
		System.out.println("Player "+player+" won!");
	}

	public void requestMove(int player, PlayerListener l) {
		new RuntimeException("VoidGUI can't move");
	}

	public void tie() {
		++tie;
		System.out.println("Tie!");
	}

	public void turnChanged(int player) {
	}
	
	public int[] getWon() {
		return new int[] {won[0], won[1]};
	}
	
	public int getTie() {
		return tie;
	}
}
