/*
 * j4Win
 *  http://code.google.com/p/j4win/
 *
 * Copyright (C) 2006-2007 Felix Geyer, Moritz Laschinger
 *
 * This file is part of j4Win.
 *
 * j4Win is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * j4Win is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package j4win;

import java.io.IOException;
import java.net.ServerSocket;

public class NetworkServer extends Network {
	private ServerSocket serverSocket;
	private int port;
	
	public NetworkServer(NetworkListener listener, int port) {
		super(listener);
		
		this.port = port;
	}
	
	@Override
	public void run() {
		try {
			serverSocket = new ServerSocket(port);
			serverSocket.setSoTimeout(100000);
			socket = serverSocket.accept();
			socket.setSoTimeout(500);
			out = socket.getOutputStream();
			in =  socket.getInputStream();
		} catch (IOException e) {
			e.printStackTrace();
		}
		
		super.run();
	}
	
	@Override
	protected void close() {
		super.close();
		try {
			serverSocket.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
